import Ajv, { Schema, SchemaObject } from "ajv";
import { NamespacedValue } from "./NamespacedValue";
/**
 * Container for the ajv instance, the SDK's schema validator of choice.
 */
export declare class AjvContainer {
    static readonly ajv: Ajv;
    private constructor();
    /**
     * Creates a JSON Schema representation of the EitherAnd<> TypeScript type.
     * @param ns The namespace to use in the EitherAnd<> type.
     * @param schema The schema to use as a value type for the namespace options.
     * @returns The EitherAnd<> type as a JSON Schema.
     */
    static eitherAnd<S extends string = string, U extends string = string>(ns: NamespacedValue<S, U>, schema: Schema): {
        anyOf: SchemaObject[];
        errorMessage: string;
    };
}
