/**
 * Represents a lazily-loaded value. When accessed for the first time, the
 * value will be cached for the lifetime of the object. The getter function
 * will be released when the value is cached.
 */
export declare class LazyValue<T> {
    private cached;
    private getter;
    constructor(getter: () => T);
    get value(): T;
}
