import { BaseBlock } from "./BaseBlock";
import { WireContentBlock } from "./types_wire";
import { Schema } from "ajv";
/**
 * Represents an array-based content block.
 * @module Content Blocks
 */
export declare abstract class ArrayBlock<TItem extends WireContentBlock.Value> extends BaseBlock<TItem[]> {
    static readonly schema: Schema;
    static readonly validateFn: import("ajv").ValidateFunction<unknown>;
    /**
     * Creates a new ArrayBlock.
     * @param name The name of the block, for error messages and debugging.
     * @param raw The block's value.
     * @protected
     */
    protected constructor(name: string, raw: TItem[]);
}
