import { WireContentBlock } from "./types_wire";
/**
 * The simplest form of a content block in its parsed form.
 * @module Content Blocks
 */
export declare abstract class BaseBlock<T extends WireContentBlock.Value> {
    readonly name: string;
    private _raw;
    get raw(): T;
    protected set raw(val: T);
    /**
     * Creates a new BaseBlock.
     * @param name The name of the block, for error messages and debugging.
     * @param raw The block's value.
     * @protected
     */
    protected constructor(name: string, raw: T);
}
