import { BaseBlock } from "./BaseBlock";
import { Schema } from "ajv";
/**
 * Represents a boolean-based content block.
 * @module Content Blocks
 */
export declare abstract class BooleanBlock extends BaseBlock<boolean> {
    static readonly schema: Schema;
    static readonly validateFn: import("ajv").ValidateFunction<unknown>;
    /**
     * Creates a new IntegerBlock.
     * @param name The name of the block, for error messages and debugging.
     * @param raw The block's value.
     * @protected
     */
    protected constructor(name: string, raw: boolean);
}
