import { BaseBlock } from "./BaseBlock";
import { Schema } from "ajv";
/**
 * Represents an object-based content block.
 * @module Content Blocks
 */
export declare abstract class ObjectBlock<T extends object = object> extends BaseBlock<T> {
    static readonly schema: Schema;
    static readonly validateFn: import("ajv").ValidateFunction<unknown>;
    /**
     * Creates a new ObjectBlock.
     * @param name The name of the block, for error messages and debugging.
     * @param raw The block's value.
     * @protected
     */
    protected constructor(name: string, raw: T);
}
