import { BaseBlock } from "./BaseBlock";
import { Schema } from "ajv";
/**
 * Represents a string-based content block.
 * @module Content Blocks
 */
export declare abstract class StringBlock extends BaseBlock<string> {
    static readonly schema: Schema;
    static readonly validateFn: import("ajv").ValidateFunction<unknown>;
    /**
     * Creates a new StringBlock.
     * @param name The name of the block, for error messages and debugging.
     * @param raw The block's value.
     * @protected
     */
    protected constructor(name: string, raw: string);
}
