import { MarkupBlock, WireMarkupBlock } from "./MarkupBlock";
import { ObjectBlock } from "../ObjectBlock";
import { EitherAnd } from "../../types";
import { Schema } from "ajv";
import { UnstableValue } from "../../NamespacedValue";
/**
 * Types for emote blocks over the wire.
 * @module Matrix Content Blocks
 * @see EmoteBlock
 */
export declare module WireEmoteBlock {
    type Primary = {
        [MarkupBlock.type.name]: WireMarkupBlock.Representation[];
    };
    type Secondary = {
        [MarkupBlock.type.altName]: WireMarkupBlock.Representation[];
    };
    export type Value = EitherAnd<Primary, Secondary>;
    export {};
}
/**
 * An "emote" block, or a block meant to represent that the surrounding event can
 * be rendered as an emote. Contains a MarkupBlock internally.
 * @module Matrix Content Blocks
 * @see MarkupBlock
 */
export declare class EmoteBlock extends ObjectBlock<WireEmoteBlock.Value> {
    static readonly schema: Schema;
    static readonly validateFn: import("ajv").ValidateFunction<unknown>;
    static readonly type: UnstableValue<"m.emote", "org.matrix.msc1767.emote">;
    private lazyMarkup;
    constructor(raw: WireEmoteBlock.Value);
    get markup(): MarkupBlock;
}
