import { WireContentBlock } from "../content_blocks/types_wire";
/**
 * The wire types for Matrix events.
 * @module Events
 */
export declare module WireEvent {
    /**
     * A Matrix event. Also called a ClientEvent by the Matrix Specification.
     * @module Events
     */
    interface RoomEvent<Content extends object = object> {
        room_id: string;
        event_id: string;
        type: string;
        state_key?: string;
        sender: string;
        content: Content;
        origin_server_ts: number;
        unsigned?: object;
    }
    /**
     * A simple `content` schema for content block-supporting events.
     * @module Events
     */
    type BlockBasedContent = {
        [k: string]: WireContentBlock.Value;
    };
    /**
     * An event's specific `content`, preventing unexplained extensibility at the
     * type system level.
     * @module Events
     */
    type BlockSpecificContent<Blocks extends BlockBasedContent> = Blocks & {
        [k: string]: never;
    };
}
